Package org.apache.sling.commons.json.io

# Class JSONRenderer.Options

java.lang.Object
org.apache.sling.commons.json.io.JSONRenderer.Options

Enclosing class:
  `JSONRenderer`

public static class JSONRenderer.Options extends Object
Rendering options

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_CHILD_NAME_KEY`
`static final String`
`DEFAULT_CHILDREN_KEY`

## Method Summary

Modifier and Type
Method
Description
`JSONRenderer.Options`
`withArraysForChildren(boolean b)`
`JSONRenderer.Options`
`withChildNameKey(String key)`
`JSONRenderer.Options`
`withChildrenKey(String key)`
`JSONRenderer.Options`
`withIndent(int n)`
`JSONRenderer.Options`
`withInitialIndent(int n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CHILDREN_KEY

public static final String DEFAULT_CHILDREN_KEY

See Also:
  - Constant Field Values

### DEFAULT_CHILD_NAME_KEY

public static final String DEFAULT_CHILD_NAME_KEY

See Also:
  - Constant Field Values

## Method Details

### withIndent

public JSONRenderer.Options withIndent(int n)

### withInitialIndent

public JSONRenderer.Options withInitialIndent(int n)

### withArraysForChildren

public JSONRenderer.Options withArraysForChildren(boolean b)

### withChildNameKey

public JSONRenderer.Options withChildNameKey(String key)

### withChildrenKey

public JSONRenderer.Options withChildrenKey(String key)